Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.mail.smime
Class CMSProcessableBodyPartOutbound

    java.lang.Object
      org.bouncycastle.mail.smime.CMSProcessableBodyPartOutbound

All Implemented Interfaces:
  CMSProcessable

    public class CMSProcessableBodyPartOutbound

extends java.lang.Object
implements CMSProcessable

a holding class for a BodyPart to be processed which does CRLF canocicalisation if dealing with non-binary data.

Constructor Summary
`CMSProcessableBodyPartOutbound(BodyPart bodyPart)` Create a processable with the default transfer encoding of 7bit
`CMSProcessableBodyPartOutbound(BodyPart bodyPart, java.lang.String defaultContentTransferEncoding)` Create a processable with the a default transfer encoding of the passed in value.

Method Summary
`java.lang.Object` | `getContent()`
`void` | `write(java.io.OutputStream out)` generic routine to copy out the data we want processed - the OutputStream passed in will do the handling on it's own.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSProcessableBodyPartOutbound

    public CMSProcessableBodyPartOutbound(BodyPart bodyPart)

  Create a processable with the default transfer encoding of 7bit

  Parameters:
    `bodyPart` - body part to be processed

### CMSProcessableBodyPartOutbound

    public CMSProcessableBodyPartOutbound(BodyPart bodyPart,
                                          java.lang.String defaultContentTransferEncoding)

  Create a processable with the a default transfer encoding of the passed in value.

  Parameters:
    `bodyPart` - body part to be processed
    `defaultContentTransferEncoding` - the new default to use.

Method Detail

### write

    public void write(java.io.OutputStream out)
               throws java.io.IOException,
                      CMSException

  Description copied from interface: `CMSProcessable`
  generic routine to copy out the data we want processed - the OutputStream passed in will do the handling on it's own.

  Note: this routine may be called multiple times.

  Specified by:
    `write` in interface `CMSProcessable`
  Throws:
    `java.io.IOException`
    `CMSException`

### getContent

    public java.lang.Object getContent()

  Specified by:
    `getContent` in interface `CMSProcessable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD